package org.springblade.estate.feign;

import org.springblade.estate.entity.TemperatureRecord;
import org.springblade.estate.vo.TemperatureRecordVO;
import org.springframework.stereotype.Component;
import java.util.List;

@Component
public class TemperatureRecordClientFallback implements ITemperatureRecordClient {
            /**
         * 详情
         */
        @Override
        public TemperatureRecordVO detail(TemperatureRecord temperatureRecord) {
            return null;
        }

        /**
         * 查询
         */
        @Override
        public List<TemperatureRecordVO> list(TemperatureRecord temperatureRecord) {
            return null;
        }



        /**
         * 新增
         */
        @Override
        public boolean save( TemperatureRecord temperatureRecord) {
            return false;
        }

        /**
         * 修改
         */
        @Override
        public boolean update( TemperatureRecord temperatureRecord) {
            return false;
        }

        /**
         * 新增或修改
         */
        @Override
        public boolean submit( TemperatureRecord temperatureRecord) {
            return false;
        }


        /**
         * 删除
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

    }
